body:after {
    content: "";
    position:fixed;
    width:100%;
    height:100%;
    z-index:-999;
    left:0;
    top:0;
    background-image: url(https://source.unsplash.com/1600x900/?it,technology,tech);
    background-size: cover;
    background-position: center;
    opacity:0.4;
}
body.page-login:after{
  opacity:1;
}
body.page-login .card-body::after {
    content:"";
    z-index:-1;
    position:absolute;
    top:0;
    left:0;
    background:#000;
    opacity:0.7;
    width:100%;
    height:100%;
}
.text-nounderline,.text-nounderline:active, .text-nounderline:hover {
    text-decoration: none;
}
#loading {
  display:none;
  z-index: 20;
	position: fixed;
	top: 0;
	left:0;
	width: 100%;
	height: 100%;
  background-color: rgba(0,0,0,0.4);
}
.loading-inline {
	position:relative;
	display:inline-block;
}
#loading.loading *,.loading-inline * {
	animation: spin 2s linear infinite;
}

@keyframes spin {
	0% { transform: rotate(0deg); }
	100% { transform: rotate(360deg); }
}
.btn-group-xs>.btn,.btn-xs{padding:.35rem .4rem .25rem .4rem;font-size:.875rem;line-height:.5;border-radius:.2rem}
body .dataTables_wrapper {
  position:relative;
}
body div.dataTables_wrapper .dataTables_processing.card {
  z-index:1;
  width: calc( 100% + 20px );
  height: calc( 100% + 20px );
  top:0;
  left:0;
  margin-left:-10px;
  margin-top:-10px;
  background:transparent;
  align-items:center;
  justify-content:center;
}
body div.dataTables_wrapper .dataTables_processing.card:after {
  content:"";
  position:absolute;
  top:0;
  left:0;
  width:100%;
  height:100%;
  opacity:0.5;
  background:#000;
}
.dataTables_processing_inner .content {z-index:99;}
